PerspectPerspectDocs
Go to Admin
View as Markdown

Products

This reference is auto-generated from the mounted public Hono routes in perspectapiworkers. Admin and internal routes are excluded.

Base Path

/api/v2/sites/:siteName/products

Endpoints

GET /api/v2/sites/:siteName/products

List products.

Path params: siteName

POST /api/v2/sites/:siteName/products

Create product.

Path params: siteName

DELETE /api/v2/sites/:siteName/products/:id

Delete product by id.

Path params: siteName, id

PATCH /api/v2/sites/:siteName/products/:id

Update product by id.

Path params: siteName, id

GET /api/v2/sites/:siteName/products/:idOrSlug

Get product by id Or Slug.

Path params: siteName, idOrSlug

Path Parameters

Parameter
siteName
id
idOrSlug

This page is generated from the actual public Hono route table. Do not edit it by hand.